Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface InstanceListener

    public interface InstanceListener

Interface defining a listener for significant events related to a specific servlet instance, rather than to the Wrapper component that is managing that instance.

Version:
  $Id: InstanceListener.java 1200159 2011-11-10 05:33:31Z kkolinko $
Author:
  Craig R. McClanahan

Method Summary
`void` | `instanceEvent(InstanceEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### instanceEvent

    void instanceEvent(InstanceEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - InstanceEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.